Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class OSGiLaunchConfigurationInitializer

    java.lang.Object
      org.eclipse.pde.launching.OSGiLaunchConfigurationInitializer
          org.eclipse.pde.ui.launcher.OSGiLaunchConfigurationInitializer

Deprecated. use `OSGiLaunchConfigurationInitializer` instead.

    public class OSGiLaunchConfigurationInitializer

extends OSGiLaunchConfigurationInitializer

Initializes launch configuration attributes for newly-created OSGi Framework launch configurations

Clients may instantiate or subclass this class

Since:
  3.3
See Also:
  `OSGiLaunchConfigurationInitializer`

Field Summary

Fields inherited from class org.eclipse.pde.launching.OSGiLaunchConfigurationInitializer
`DEFAULT`

Constructor Summary
`OSGiLaunchConfigurationInitializer()` Deprecated.

Method Summary

Methods inherited from class org.eclipse.pde.launching.OSGiLaunchConfigurationInitializer
`getAutoStart, getStartLevel, initialize, initializeBundleState, initializeFrameworkDefaults, initializeSourcePathProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSGiLaunchConfigurationInitializer

    public OSGiLaunchConfigurationInitializer()

  Deprecated.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.